vectorShow {oce} | R Documentation

## Show some values from a vector

### Description

Show some values from a vector

### Usage

    vectorShow(v, msg, digits=5)

### Arguments

`v` | the vector.
`msg` | a message to show, introducing the vector. If not provided, then a label is created from `v`.
`digits` | for numerical values of `v`, this is the number of digits to use, in formatting the numbers with `format`; otherwise, `digits` is ignored.

### Details

This is similar to `str`, but it shows data at the first and last of the vector, which is quite helpful in debugging.

### Value

A string, suitable for using in `cat` or `oceDebug`.

### Author(s)

Dan Kelley

[Package oce version 0.9-18 Index]